org.apache.fop.render.ps.fonts

## Class PSTTFTableOutputStream

- java.lang.Object
- - org.apache.fop.render.ps.fonts.PSTTFTableOutputStream

All Implemented Interfaces:
  TTFTableOutputStream

    public class PSTTFTableOutputStream
    extends Object
    implements TTFTableOutputStream

Streams a TrueType table according to the PostScript format.

### Constructor Summary

Constructors
Constructor and Description
`PSTTFTableOutputStream(PSTTFGenerator ttfGen)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `streamTable(byte[] ttfData, int offset, int size)` Streams a table from the given byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PSTTFTableOutputStream

    public PSTTFTableOutputStream(PSTTFGenerator ttfGen)

Constructor.

Parameters:
  `ttfGen` - the helper object to stream TrueType data

### Method Detail

#### streamTable

    public void streamTable(byte[] ttfData,
                            int offset,
                            int size)
                     throws IOException

Description copied from interface: `TTFTableOutputStream`
Streams a table from the given byte array.

Specified by:
  `streamTable` in interface `TTFTableOutputStream`
Parameters:
  `ttfData` - the source of the table to stream from
  `offset` - the position in the byte array where the table starts
  `size` - the size of the table in bytes
Throws:
  `IOException`